-1

Why is installing WFFM trying and failing to talk to MongoDB?

  • I'm starting with a base Sitecore 8.2 install from SIM - my understanding is SIM would completely handle setting up the 8.2 Sitecore instance. Doesn't SIM do so?
  • Or do I have to, separate from Sitecore's own tooling, install MongoDB on the machine?

Error log I see consistently:

Exception: Sitecore.Analytics.DataAccess.DatabaseNotAvailableException
Message: Database not available
Source: Sitecore.Analytics.MongoDB

If this is a "DUH" moment, please show me full documentation to get Sitecore 8.2 installed e.g. for a dev machine, I'm having a hard time finding a full explanation of what it needs to fully work e.g. if it needs MongoDB separately.

2

Sitecore 8.x requires MongoDB for the xDB collection when Analytics is enabled. The specific version of MongoDB you require is listed in the Sitecore compatibility table.

The installation also specifically calls it out as a requirement in several sections. For example, the guide for 8.2:

2.1.5 Database Requirements

Sitecore XP supports the following database servers:

  • Microsoft SQL Server 2016 SP1 ...
  • MongoDB Database:
    • Mongo 2.6 MMAPv1
    • Mongo 3.0 MMAPv1 or WiredTiger
    • Mongo 3.2.1 MMAPv1 or WiredTiger
    • Mongo 3.2.1 Enterprise with data-at-rest encryption, WiredTiger only

And under the configuration section:

5.5 Configure the Sitecore Experience Database (xDB)

Install MongoDB – download and install the latest version of MongoDB. For more information on how to install MongoDB, see http://docs.mongodb.org/manual/.

Configure Sitecore to use Mongo databases – perform the actions outlined in the following procedure for each Mongo server.

In much the same way as SIM does not install SQL Server, you need to install the correct version of MongoDB yourself. There is an option from within SIM to kick off the install process from the Bundled Tools menu option:

Install MongoDB

If you do not want to install MongoDB, or face other issues, you could disable Analytics/xDB, which will allow you to continue to install the package.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.